Name:          desktop-file-utils
Version:       0.28
Release:       1mamba
Summary:       The desktop-file-utils package contains command line utilities for working with  desktop entries.
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/software/desktop-file-utils/
Source:        http://www.freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
BuildRequires: emacs-nox

%description
The desktop-file-utils package contains command line utilities for working with  desktop entries. These utilities are used by GNOME-2 and other applications to manipulate the MIME-types application databases and help adhere to the desktop entries standards specification.

%debug_package

%prep
%setup -q 

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/desktop-file-edit
%{_bindir}/desktop-file-install
%{_bindir}/desktop-file-validate
%{_bindir}/update-desktop-database
%{_datadir}/emacs/site-lisp/*
%{_mandir}/man1/desktop-file-edit.1*
%{_mandir}/man1/desktop-file-install.1*
%{_mandir}/man1/desktop-file-validate.1*
%{_mandir}/man1/update-desktop-database.1*
%doc AUTHORS COPYING
# ChangeLog NEWS README

%changelog
* Sat Oct 26 2024 Automatic Build System <autodist@openmamba.org> 0.28-1mamba
- automatic version update by autodist

* Fri Oct 06 2023 Automatic Build System <autodist@mambasoft.it> 0.27-1mamba
- automatic version update by autodist

* Fri Jun 26 2020 Automatic Build System <autodist@mambasoft.it> 0.26-1mamba
- automatic version update by autodist

* Fri Jul 26 2019 Automatic Build System <autodist@mambasoft.it> 0.24-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 0.23-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 0.22-1mamba
- automatic update by autodist

* Fri Oct 26 2012 Automatic Build System <autodist@mambasoft.it> 0.21-1mamba
- automatic version update by autodist

* Mon Aug 06 2012 Automatic Build System <autodist@mambasoft.it> 0.20-1mamba
- update to 0.20

* Sat Jun 25 2011 Automatic Build System <autodist@mambasoft.it> 0.18-1mamba
- automatic update by autodist

* Mon Mar 15 2010 Automatic Build System <autodist@mambasoft.it> 0.16-1mamba
- update to 0.16

* Fri Mar 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15-1mamba
- update to 0.15
- changed maintainer

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 0.11-1mamba
- update to version 0.11

* Tue Aug 09 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.10-1qilnx
- package created by autospec
